XZDEC(1)

NUME
xzdec, lzmadec - Programe de decomprimare mici de fișiere .xz și .lzma

REZUMAT
xzdec [opțiune...] [fișier...]
lzmadec [opțiune...] [fișier...]

DESCRIERE
xzdec este un instrument de decomprimare bazat pe liblzma pentru fișierele .xz (și numai .xz). xzdec este destinat să funcționeze ca un înlocuitor pentru xz(1) în cele mai frecvente situații în care un script a fost scris pentru a utiliza xz --decompress --stdout (și posibil câteva alte opțiuni frecvent utilizate) pentru a decomprima fișierele .xz. lzmadec este identic cu xzdec cu excepția faptului că lzmadec acceptă fișierele .lzma în loc de fișierele .xz.

Pentru a reduce dimensiunea executabilului, xzdec nu acceptă modul cu mai multe fire de execuție sau localizarea(afișarea mesajelor în limba stabilită de configurările regionale) și nu citește opțiunile din variabilele de mediu XZ_DEFAULTS și XZ_OPT. xzdec nu acceptă afișarea informațiilor intermediare de progres: trimiterea semnalului SIGINFO la xzdec nu face nimic, iar trimiterea semnalului SIGUSR1 încheie procesul în loc să afișeze informații despre progres.

OPȚIUNI

-d, --decompress, --uncompress
    Ignorat pentru compatibilitate cu xz(1). xzdec acceptă numai decomprimarea.

-k, --keep
    Ignorat pentru compatibilitate cu xz(1). xzdec nu creează sau elimină niciodată niciun fișier.

-c, --stdout, --to-stdout
    Ignorat pentru compatibilitate cu xz(1). xzdec scrie întotdeauna datele decomprimate la ieșirea standard.

-q, --quiet
    Specificarea acestui lucru o dată nu face nimic, deoarece xzdec nu afișează niciodată avertismente sau notificări. Specificați acest lucru de două ori pentru a suprima erorile.

-Q, --no-warn
    Ignorat pentru compatibilitate cu xz(1). xzdec nu folosește niciodată starea de ieșire 2.

-h, --help
    Afișează un mesaj de ajutor și iese cu succes.

-V, --version
    Afișează numărul versiunii xzdec și liblzma.

STARE DE IEȘIRE

0   Toate au fost bine.

1   A apărut o eroare.

xzdec nu are niciun mesaj de avertizare precum xz(1), astfel că starea de ieșire 2 nu este folosită de xzdec.

NOTE
Utilizați xz(1) în loc de xzdec sau lzmadec pentru utilizarea normală de zi cu zi. xzdec sau lzmadec sunt destinate numai situațiilor în care este important să aveți un instrument de decomprimare mai mic decât xz(1), cu funcții complete.

xzdec și lzmadec nu sunt chiar atât de mici. Dimensiunea poate fi redusă și mai mult prin eliminarea caracteristicilor din liblzma în timpul compilării, dar acest lucru nu ar trebui să se facă de obicei pentru executabilele distribuite în distribuții tipice de sisteme de operare neîncorporate. Dacă aveți nevoie de un instrument de decomprimare .xz cu adevărat mic, luați în considerare utilizarea XZ Embedded.

CONSULTAȚI ȘI
xz(1)

XZ Embedded: <https://tukaani.org/xz/embedded.html>